summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2015-11-17 03:15:43 +1100
committerMichael Palimaka <kensington@gentoo.org>2015-11-18 23:48:17 +1100
commit661bf35a5b09440d90ecd65e6834373b12beb8a8 (patch)
tree2561e69446d152ede17a9a0a0a3106c6b7ea3a72 /app-pda
parentapp-pda/barry: remove opensync USE flag (diff)
downloadgentoo-661bf35a5b09440d90ecd65e6834373b12beb8a8.tar.gz
gentoo-661bf35a5b09440d90ecd65e6834373b12beb8a8.tar.bz2
gentoo-661bf35a5b09440d90ecd65e6834373b12beb8a8.zip
app-pda/synce-sync-engine: remove opensync USE flag
opensync packages are being removed. Gentoo-bug: Gentoo-bug: 550234 Package-Manager: portage-2.2.24
Diffstat (limited to 'app-pda')
-rw-r--r--app-pda/synce-sync-engine/metadata.xml3
-rw-r--r--app-pda/synce-sync-engine/synce-sync-engine-0.15.1-r3.ebuild30
2 files changed, 3 insertions, 30 deletions
diff --git a/app-pda/synce-sync-engine/metadata.xml b/app-pda/synce-sync-engine/metadata.xml
index 8b3d48c77d2..ba58102c22c 100644
--- a/app-pda/synce-sync-engine/metadata.xml
+++ b/app-pda/synce-sync-engine/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>pda</herd>
- <use>
- <flag name="opensync">Enable OpenSync (<pkg>app-pda/libopensync</pkg>) python plug-in</flag>
- </use>
<upstream>
<remote-id type="sourceforge">synce</remote-id>
</upstream>
diff --git a/app-pda/synce-sync-engine/synce-sync-engine-0.15.1-r3.ebuild b/app-pda/synce-sync-engine/synce-sync-engine-0.15.1-r3.ebuild
index 9bc4c188ccd..9f7d524334d 100644
--- a/app-pda/synce-sync-engine/synce-sync-engine-0.15.1-r3.ebuild
+++ b/app-pda/synce-sync-engine/synce-sync-engine-0.15.1-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -17,7 +17,7 @@ SRC_URI="mirror://sourceforge/synce/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="opensync"
+IUSE=""
RDEPEND="app-pda/synce-core[python]
>=dev-libs/librra-0.16[python]
@@ -25,11 +25,7 @@ RDEPEND="app-pda/synce-core[python]
dev-libs/libxml2[python]
dev-libs/libxslt[python]
dev-python/dbus-python
- dev-python/pygobject:2
- opensync? ( || (
- >=app-pda/libopensync-0.39[python]
- ( =app-pda/libopensync-0.22*[python] app-pda/libopensync-plugin-python )
- ) )"
+ dev-python/pygobject:2"
DEPEND=${RDEPEND}
PYTHON_MODNAME=SyncEngine
@@ -49,25 +45,5 @@ src_install() {
distutils_src_install
- ### opensync plug-in BEGIN
- find "${ED}" -type d -name plugins -exec rm -rf {} +
-
- if use opensync; then
- local plug=plugins/synce-opensync-plugin-
-
- if has_version ">=app-pda/libopensync-0.39"; then
- insinto /usr/$(get_libdir)/libopensync1/python-plugins
- newins ${plug}3x.py synce-plugin.py || die
- else
- # See OPENSYNC_PYTHONPLG_DIR variable in libopensync-python-plugin-0.22
- # to verify path for python plugins.
- insinto /usr/$(get_libdir)/opensync/python-plugins
- newins ${plug}2x.py synce-plugin.py || die
- fi
-
- dodoc ${plug}3x.README || die
- fi
- ### opensync plug-in END
-
rm -rf "${ED}"/usr/foobar
}